API ReferenceProducts

Retrieve a product

Retrieve a product by its ID.

Retrieve a product by its ID.

GET
/v2/products/{product}

Authorization

AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

Path Parameters

product*integer

The product path parameter.

Query Parameters

with_drafts?boolean

Include draft products alongside published products.

only_drafts?boolean

Return only draft products.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v2/products/1" \  -H "X-STORE: launch-lab"
{
  "data": {
    "id": 1,
    "title": "Project Launch Kit",
    "slug": "project-launch-kit",
    "description": "<p>A practical guide to planning, testing and launching your project.</p>",
    "images": [
      {
        "path": "store/1/listings/NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K.png",
        "metadata": {
          "size": 39289,
          "filename": "NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K",
          "extension": "png",
          "mime_type": "image/png"
        }
      },
      {
        "path": "store/1/listings/ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X.png",
        "metadata": {
          "size": 422373,
          "filename": "ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X",
          "extension": "png",
          "mime_type": "image/png"
        }
      }
    ],
    "order": 1,
    "visibility": "PUBLIC",
    "delivery_text": "Thanks for your purchase. Your download is ready.",
    "additional_information": [
      {
        "required": true,
        "key": "3aecffd000e00e2211e94558007ffc37",
        "type": "checkbox",
        "label": "Do you agree to the purchase terms?"
      }
    ],
    "other_settings": {
      "faq": [
        {
          "answer": "Yes. Adapt the included templates to your project.",
          "question": "Can I use these templates for my own project?"
        }
      ],
      "video_url": "https://example.com/launch-lab/product-tour",
      "redirect_url": "https://example.com/post-launch?customer_email=[customer_email]&order_id=[order_id]",
      "product_title": "Project Launch Kit",
      "product_description": "Plan, test, and launch your next project."
    },
    "deleted_at": null,
    "created_at": "2024-01-09T22:56:49.000000Z",
    "updated_at": "2024-01-10T10:00:28.000000Z",
    "store_id": 1,
    "category_id": null,
    "section_id": null,
    "section_order": null,
    "is_discoverable": true,
    "variants": [
      {
        "id": 1,
        "title": "Default"
      }
    ],
    "url": "https://launch-lab.sell.app/product/project-launch-kit"
  }
}
{
  "type": "invalid_request_error",
  "code": "bad_request",
  "message": "The request could not be understood.",
  "status": 400,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#bad-request"
}
{
  "type": "authentication_error",
  "code": "unauthenticated",
  "message": "Unauthenticated.",
  "status": 401,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}
{
  "type": "authorization_error",
  "code": "forbidden",
  "message": "This action is unauthorized.",
  "status": 403,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#forbidden"
}
{
  "type": "not_found_error",
  "code": "resource_not_found",
  "message": "Not Found.",
  "status": 404,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#resource-not-found"
}
{
  "type": "validation_error",
  "code": "validation_failed",
  "message": "The selected product variant id is invalid.",
  "status": 422,
  "param": "product_variant_id",
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#validation-failed",
  "errors": {
    "product_variant_id": [
      "The selected product variant id is invalid."
    ]
  }
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}